# PySick 🎮  
A lightweight **2D game development framework** using Tkinter, designed for simplicity and customization.

## Features ✨
- **Window Management**
  - Set custom window size and title.
  - Change background color dynamically.

- **Shapes & Drawing**
  - Draw rectangles, circles, ovals, and lines with customizable colors.
  - Fill the screen with a solid color.

- **Collision Detection**
  - Rectangle vs. rectangle (AABB method).
  - Circle vs. circle (distance-based).
  - Circle vs. rectangle (bounding box method).

- **Event Handling**
  - Bind keys dynamically for interaction (`lock()` and `unlock()` methods).
  - Support for real-time keyboard inputs.

- **UI Elements**
  - Add **labels** with customizable font and color.
  - Create **buttons** with event-driven functionality.

## Installation 🚀
Install PySick using:
```sh
pip install pysick